chlonolog

web, digital gadgets, and more.

AutoPrefixerの設定を変更しました

browserl.istの結果を鑑みて、gulp-autoprefixerに設定しているAutoPrefixerの設定を

last 2 version, ie >= 10, iOS >= 9, Android >= 4.4

から

> 1% in JP, last 2 version, ie >= 11, iOS >= 9, Android >= 4.4

に変更しました。
修正前は Global coverage:88.62%、修正後は JP coverage:91.69% です。

「last 2 version」を入れると、国内使用率0.01%未満である「QQ Browser」「UC Browser」「Blackberry Browser」といったブラウザが入ってくるのが、地味に気になります。
削除すると JP coverage:89.25% になりますが、元々が Global coverage で90%未満だった訳ですし、削除してもいいような気がします。
実際のところ、どうなんでしょうね。業務運用ではありませんし、結局は割り切りなのかなあ。

コメント

© 2018 chlono